class CreateCatalogs < ActiveRecord::Migration
  def self.up
   create_table :catalogs do |t|
   t.column :section, :string, :limit => 255
   t.column :title, :string, :limit => 255
   t.column :url, :string, :limit => 255
   end
   
Catalog.create :section => "XML", :title => "JAXP validation", :url => 

"http://www-128.ibm.com/developerworks/xml/library/x-jaxpval.html"
Catalog.create :section => "XML", :title => "The Java XPath API", :url => 
"http://www-128.ibm.com/developerworks/xml/library/x-javaxpathapi.html"
Catalog.create :section=> "Open Source", :title => "Make Ruby on Rails easy with RadRails and Eclipse", :url => 

"http://www-128.ibm.com/developerworks/opensource/library/os-ecl-radrails/"

  end

  def self.down
  drop_table :catalogs
  end
end

